//
// Copyright (c) 2002
// Ronald Kevin Burton
//
// This material is provided "as is", with absolutely no warranty expressed
// or implied. This software is provided solely as part of ".NET Common Language
// Runtime Unleashed" to help illustrate concepts and principles described in 
// that book. Any use is at your own risk.
//
// Permission to use or copy this software for any purpose is hereby granted 
// without fee, provided the above notices are retained on all copies.
// Permission to modify the code and to distribute modified code is granted,
// provided the above notices are retained, and a notice that the code was
// modified is included with the above copyright notice.
//
// 
// CPPReference.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
class Point
{
	// An event that clients can use to be notified whenever the
	// elements of the list change:
private:
	int _x;
	int _y;

public:
	Point() : _x(0), _y(0)
	{
	}
	Point(int x, int y) : _x(x), _y(y)
	{
	}
	int get_X() const
	{
		return _x;
	}
	int set_X(int value)
	{
		_x = value;
	}
	int get_Y() const
	{
		return _y;
	}
	int set_Y(int value)
	{
		_y = value;
	}
};

int _tmain(int argc, _TCHAR* argv[])
{
	Point *p = new Point(1, 2);
	delete p;
	return 0;
}

